Skip to content
Back to top
View this page

# StoryAreaTypeLink

class telegram.StoryAreaTypeLink(url, *, api_kwargs=None)

  Bases: `telegram.StoryAreaType`

  Describes a story area pointing to an `HTTP` or `tg://` link. Currently, a story can have up to `3` link areas.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `url` is equal.

  Available In

  `telegram.StoryArea.type`

  Added in version 22.1.

  Parameters:

    url (`str`) – `HTTP` or `tg://` URL to be opened when the area is clicked.

  type

    Type of the area, always `LINK`.

    Type:

      `str`

  url

    `HTTP` or `tg://` URL to be opened when the area is clicked.

    Type:

      `str`